Package org.jboss.resteasy.client.jaxrs.internal

## Class AsynchronousInvoke

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.AsynchronousInvoke

- All Implemented Interfaces:
    `javax.ws.rs.client.AsyncInvoker`

      public class AsynchronousInvoke
      extends Object
      implements javax.ws.rs.client.AsyncInvoker

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ClientInvocation` | `invocation` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AsynchronousInvoke​(ClientInvocation invocation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<javax.ws.rs.core.Response>` | `delete()` |
    `<T> Future<T>` | `delete​(Class<T> responseType)` |
    `<T> Future<T>` | `delete​(javax.ws.rs.client.InvocationCallback<T> callback)` |
    `<T> Future<T>` | `delete​(javax.ws.rs.core.GenericType<T> responseType)` |
    `Future<javax.ws.rs.core.Response>` | `get()` |
    `<T> Future<T>` | `get​(Class<T> responseType)` |
    `<T> Future<T>` | `get​(javax.ws.rs.client.InvocationCallback<T> callback)` |
    `<T> Future<T>` | `get​(javax.ws.rs.core.GenericType<T> responseType)` |
    `Future<javax.ws.rs.core.Response>` | `head()` |
    `Future<javax.ws.rs.core.Response>` | `head​(javax.ws.rs.client.InvocationCallback<javax.ws.rs.core.Response> callback)` |
    `Future<javax.ws.rs.core.Response>` | `method​(String name)` |
    `<T> Future<T>` | `method​(String name, Class<T> responseType)` |
    `Future<javax.ws.rs.core.Response>` | `method​(String name, javax.ws.rs.client.Entity<?> entity)` |
    `<T> Future<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, Class<T> responseType)` |
    `<T> Future<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, javax.ws.rs.client.InvocationCallback<T> callback)` |
    `<T> Future<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> responseType)` |
    `<T> Future<T>` | `method​(String name, javax.ws.rs.client.InvocationCallback<T> callback)` |
    `<T> Future<T>` | `method​(String name, javax.ws.rs.core.GenericType<T> responseType)` |
    `Future<javax.ws.rs.core.Response>` | `options()` |
    `<T> Future<T>` | `options​(Class<T> responseType)` |
    `<T> Future<T>` | `options​(javax.ws.rs.client.InvocationCallback<T> callback)` |
    `<T> Future<T>` | `options​(javax.ws.rs.core.GenericType<T> responseType)` |
    `Future<javax.ws.rs.core.Response>` | `patch​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> Future<T>` | `patch​(javax.ws.rs.client.Entity<?> entity, Class<T> responseType)` |
    `<T> Future<T>` | `patch​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.client.InvocationCallback<T> callback)` |
    `<T> Future<T>` | `patch​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> responseType)` |
    `Future<javax.ws.rs.core.Response>` | `post​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> Future<T>` | `post​(javax.ws.rs.client.Entity<?> entity, Class<T> responseType)` |
    `<T> Future<T>` | `post​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.client.InvocationCallback<T> callback)` |
    `<T> Future<T>` | `post​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> responseType)` |
    `Future<javax.ws.rs.core.Response>` | `put​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> Future<T>` | `put​(javax.ws.rs.client.Entity<?> entity, Class<T> responseType)` |
    `<T> Future<T>` | `put​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.client.InvocationCallback<T> callback)` |
    `<T> Future<T>` | `put​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> responseType)` |
    `Future<javax.ws.rs.core.Response>` | `trace()` |
    `<T> Future<T>` | `trace​(Class<T> responseType)` |
    `<T> Future<T>` | `trace​(javax.ws.rs.client.InvocationCallback<T> callback)` |
    `<T> Future<T>` | `trace​(javax.ws.rs.core.GenericType<T> responseType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### invocation

          protected ClientInvocation invocation

  - ### Constructor Detail

    - #### AsynchronousInvoke

          public AsynchronousInvoke​(ClientInvocation invocation)

  - ### Method Detail

    - #### get

          public Future<javax.ws.rs.core.Response> get()

      Specified by:
        `get` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### get

          public <T> Future<T> get​(Class<T> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### get

          public <T> Future<T> get​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### get

          public <T> Future<T> get​(javax.ws.rs.client.InvocationCallback<T> callback)

      Specified by:
        `get` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### trace

          public Future<javax.ws.rs.core.Response> trace()

      Specified by:
        `trace` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### trace

          public <T> Future<T> trace​(Class<T> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### trace

          public <T> Future<T> trace​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### trace

          public <T> Future<T> trace​(javax.ws.rs.client.InvocationCallback<T> callback)

      Specified by:
        `trace` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### put

          public Future<javax.ws.rs.core.Response> put​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `put` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### put

          public <T> Future<T> put​(javax.ws.rs.client.Entity<?> entity,
                                   Class<T> responseType)

      Specified by:
        `put` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### put

          public <T> Future<T> put​(javax.ws.rs.client.Entity<?> entity,
                                   javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `put` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### put

          public <T> Future<T> put​(javax.ws.rs.client.Entity<?> entity,
                                   javax.ws.rs.client.InvocationCallback<T> callback)

      Specified by:
        `put` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### post

          public Future<javax.ws.rs.core.Response> post​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `post` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### post

          public <T> Future<T> post​(javax.ws.rs.client.Entity<?> entity,
                                    Class<T> responseType)

      Specified by:
        `post` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### post

          public <T> Future<T> post​(javax.ws.rs.client.Entity<?> entity,
                                    javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `post` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### post

          public <T> Future<T> post​(javax.ws.rs.client.Entity<?> entity,
                                    javax.ws.rs.client.InvocationCallback<T> callback)

      Specified by:
        `post` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### delete

          public Future<javax.ws.rs.core.Response> delete()

      Specified by:
        `delete` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### delete

          public <T> Future<T> delete​(Class<T> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### delete

          public <T> Future<T> delete​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### delete

          public <T> Future<T> delete​(javax.ws.rs.client.InvocationCallback<T> callback)

      Specified by:
        `delete` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### head

          public Future<javax.ws.rs.core.Response> head()

      Specified by:
        `head` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### head

          public Future<javax.ws.rs.core.Response> head​(javax.ws.rs.client.InvocationCallback<javax.ws.rs.core.Response> callback)

      Specified by:
        `head` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### options

          public Future<javax.ws.rs.core.Response> options()

      Specified by:
        `options` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### options

          public <T> Future<T> options​(Class<T> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### options

          public <T> Future<T> options​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### options

          public <T> Future<T> options​(javax.ws.rs.client.InvocationCallback<T> callback)

      Specified by:
        `options` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### method

          public Future<javax.ws.rs.core.Response> method​(String name)

      Specified by:
        `method` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### method

          public <T> Future<T> method​(String name,
                                      Class<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### method

          public <T> Future<T> method​(String name,
                                      javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### method

          public <T> Future<T> method​(String name,
                                      javax.ws.rs.client.InvocationCallback<T> callback)

      Specified by:
        `method` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### method

          public Future<javax.ws.rs.core.Response> method​(String name,
                                                          javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `method` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### method

          public <T> Future<T> method​(String name,
                                      javax.ws.rs.client.Entity<?> entity,
                                      Class<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### method

          public <T> Future<T> method​(String name,
                                      javax.ws.rs.client.Entity<?> entity,
                                      javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### method

          public <T> Future<T> method​(String name,
                                      javax.ws.rs.client.Entity<?> entity,
                                      javax.ws.rs.client.InvocationCallback<T> callback)

      Specified by:
        `method` in interface `javax.ws.rs.client.AsyncInvoker`

    - #### patch

          public Future<javax.ws.rs.core.Response> patch​(javax.ws.rs.client.Entity<?> entity)

    - #### patch

          public <T> Future<T> patch​(javax.ws.rs.client.Entity<?> entity,
                                     Class<T> responseType)

    - #### patch

          public <T> Future<T> patch​(javax.ws.rs.client.Entity<?> entity,
                                     javax.ws.rs.core.GenericType<T> responseType)

    - #### patch

          public <T> Future<T> patch​(javax.ws.rs.client.Entity<?> entity,
                                     javax.ws.rs.client.InvocationCallback<T> callback)